#ifndef INCLUDED_SGCHANGE_SDL
#define INCLUDED_SGCHANGE_SDL

#include "SgChange.h"

class SgChangeSDL : public SgChange {
public:
SgChangeSDL(TaskManager* manager, int bpp, int width, int height, int spenum)
    :SgChange(bpp, width, height, spenum) {}

    SDL_Surface *screen;
    SDL_Surface *bitmap;

    /* override function */
    void video_init(TaskManager *manager);
    void clean_pixels();
    void run_loop(HTaskPtr task_next);
    void run_finish();
};

#endif
